## org.apache.batik.dom.traversal
Class TraversalSupport

    java.lang.Object
      org.apache.batik.dom.traversal.TraversalSupport

public class TraversalSupport
extends java.lang.Object

This class provides support for traversal.

Field Summary
`protected java.util.List` `iterators` The iterators list.

Constructor Summary
`TraversalSupport()` Creates a new TraversalSupport.

Method Summary
`org.w3c.dom.traversal.NodeIterator` `createNodeIterator(AbstractDocument doc, org.w3c.dom.Node root, int whatToShow, org.w3c.dom.traversal.NodeFilter filter, boolean entityReferenceExpansion)` Creates a new node iterator.
`static org.w3c.dom.traversal.TreeWalker` `createTreeWalker(AbstractDocument doc, org.w3c.dom.Node root, int whatToShow, org.w3c.dom.traversal.NodeFilter filter, boolean entityReferenceExpansion)` Creates a new tree walker.
`void` `detachNodeIterator(org.w3c.dom.traversal.NodeIterator it)` Detaches the given node iterator.
`void` `nodeToBeRemoved(org.w3c.dom.Node removedNode)` Called by the DOM when a node will be removed from the current document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterators

    protected java.util.List iterators

  The iterators list.

Constructor Detail

### TraversalSupport

    public TraversalSupport()

  Creates a new TraversalSupport.

Method Detail

### createTreeWalker

    public static org.w3c.dom.traversal.TreeWalker createTreeWalker(AbstractDocument doc,
                                                                    org.w3c.dom.Node root,
                                                                    int whatToShow,
                                                                    org.w3c.dom.traversal.NodeFilter filter,
                                                                    boolean entityReferenceExpansion)

  Creates a new tree walker.

### createNodeIterator

    public org.w3c.dom.traversal.NodeIterator createNodeIterator(AbstractDocument doc,
                                                                 org.w3c.dom.Node root,
                                                                 int whatToShow,
                                                                 org.w3c.dom.traversal.NodeFilter filter,
                                                                 boolean entityReferenceExpansion)
                                                          throws org.w3c.dom.DOMException

  Creates a new node iterator.

  Throws:
    `org.w3c.dom.DOMException`

### nodeToBeRemoved

    public void nodeToBeRemoved(org.w3c.dom.Node removedNode)

  Called by the DOM when a node will be removed from the current document.

### detachNodeIterator

    public void detachNodeIterator(org.w3c.dom.traversal.NodeIterator it)

  Detaches the given node iterator.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.